# -*- coding: utf-8 -*-
'''
Created on 14/feb/2012

@author: simone cittadini
'''
from django.conf.urls.defaults import url, patterns

urlpatterns = patterns('pbx.ivr.views',
    url(r'^curl_get_radiceivr/$',
        'curl_get_radiceivr',
        name='curl_get_radiceivr'),
    url(r'^curl_get_nodoivr/padre(?P<padre>\d+)/tono(?P<tono>\d+)/$',
        'curl_get_nodoivr',
        name='curl_get_nodoivr'),
                       
    url(r'^delete_nodo_ivr/$',
        'delete_nodo_ivr',
        name='pbx_ivr_delete_nodo'),
    
    url(r'^update_orario_ivr/(?P<pk>\d+)/$',
        'update_orario_ivr',
        name='pbx_ivr_update_orario_ivr'),
    url(r'^update_timeslots/$',
        'update_timeslots',
        name='pbx_ivr_update_timeslots'),
                       
    url(r'^load_chiusure_extra/$',
        'load_chiusure_extra',
        name='pbx_ivr__load_chiusure_extra'),
    
    #TODO rinominare
    url(r'^curl_set_file_in_registrazione/(?P<pk>\d+)/$',
        'curl_set_file_in_registrazione',
        name='curl_set_file_in_registrazione'),
    
    url(r'^curl_set_nodoivr/(?P<pk>\d+)/$',
        'curl_set_nodoivr',
        name='curl_set_nodoivr'), 
    url(r'^curl_create_nodoivr/(?P<pk>\d+)/$',
        'curl_create_nodoivr',
        name='curl_create_nodoivr'),
                        
    url(r'^curl_update_nodoivr/(?P<pk>\d+)/$',
        'curl_update_nodoivr',
        name='curl_update_nodoivr'),
                       
    url(r'^curl_get_ivrnodename/$',
        'curl_get_ivrnodename',
        name='curl_get_ivrnodename'),
)