# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'Cdr'
        db.create_table('reports_cdr', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('calldate', self.gf('django.db.models.fields.DateTimeField')()),
            ('clid', self.gf('django.db.models.fields.CharField')(max_length=80)),
            ('src', self.gf('django.db.models.fields.CharField')(max_length=80)),
            ('dst', self.gf('django.db.models.fields.CharField')(max_length=80)),
            ('dcontext', self.gf('django.db.models.fields.CharField')(max_length=80)),
            ('channel', self.gf('django.db.models.fields.CharField')(max_length=80)),
            ('dstchannel', self.gf('django.db.models.fields.CharField')(max_length=80)),
            ('lastapp', self.gf('django.db.models.fields.CharField')(max_length=80)),
            ('lastdata', self.gf('django.db.models.fields.CharField')(max_length=80)),
            ('duration', self.gf('django.db.models.fields.IntegerField')()),
            ('billsec', self.gf('django.db.models.fields.IntegerField')()),
            ('disposition', self.gf('django.db.models.fields.CharField')(max_length=80)),
            ('amaflags', self.gf('django.db.models.fields.IntegerField')()),
            ('accountcode', self.gf('django.db.models.fields.CharField')(max_length=20)),
            ('userfield', self.gf('django.db.models.fields.CharField')(max_length=255)),
        ))
        db.send_create_signal('reports', ['Cdr'])

    def backwards(self, orm):
        
        # Deleting model 'Cdr'
        db.delete_table('reports_cdr')

    models = {
        'reports.cdr': {
            'Meta': {'object_name': 'Cdr'},
            'accountcode': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'amaflags': ('django.db.models.fields.IntegerField', [], {}),
            'billsec': ('django.db.models.fields.IntegerField', [], {}),
            'calldate': ('django.db.models.fields.DateTimeField', [], {}),
            'channel': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'clid': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'dcontext': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'disposition': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'dst': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'dstchannel': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'duration': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lastapp': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'lastdata': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'src': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'userfield': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        }
    }

    complete_apps = ['reports']
