# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding field 'Cdr.uniqueid'
        db.add_column('reports_cdr', 'uniqueid', self.gf('django.db.models.fields.CharField')(default=0, max_length=32), keep_default=False)

        # Adding field 'Cdr.recorded_file'
        db.add_column('reports_cdr', 'recorded_file', self.gf('django.db.models.fields.FilePathField')(default='none.wav', max_length=100), keep_default=False)

    def backwards(self, orm):
        
        # Deleting field 'Cdr.uniqueid'
        db.delete_column('reports_cdr', 'uniqueid')

        # Deleting field 'Cdr.recorded_file'
        db.delete_column('reports_cdr', 'recorded_file')

    models = {
        'reports.cdr': {
            'Meta': {'object_name': 'Cdr'},
            'accountcode': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'amaflags': ('django.db.models.fields.IntegerField', [], {}),
            'billsec': ('django.db.models.fields.IntegerField', [], {}),
            'calldate': ('django.db.models.fields.DateTimeField', [], {}),
            'channel': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'clid': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'dcontext': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'disposition': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'dst': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'dstchannel': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'duration': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lastapp': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'lastdata': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'recorded_file': ('django.db.models.fields.FilePathField', [], {'max_length': '100'}),
            'src': ('django.db.models.fields.CharField', [], {'max_length': '80'}),
            'uniqueid': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'userfield': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        }
    }

    complete_apps = ['reports']
