# -*- coding: utf-8 -*-
'''
@author: simone cittadini
'''
from django.test import TestCase

from pbx.routing.models import Prefisso

class TestRight(TestCase):
    """
    Nessun errore di input o di stato.
    """
    
    def test_get_prefisso(self):
        # Ad una destinazione si associa sempre 
        # il più lungo prefisso corrispondente.
        p_base = Prefisso.objects.create(pre='39')
        p_spec = Prefisso.objects.create(pre='3902')
        self.assertEqual(p_spec, Prefisso.get_prefisso('3902123456'))

