from django.conf.urls.defaults import url, patterns

urlpatterns = patterns('pbx.switch.views',
    # REFACTOR
                  
    # Il prefisso curl_ al nome della url / vista indica che 
    # vengono tornate stringhe ad uso interno e non veri e propri
    # oggetti http
    # Il prefisso ajax_ al nome della url / vista indica che
    # viene scatenata in asincrono da jquery e di solito torna un json
    
    # sincronizzazione dello stato chiamate col db
    url(r'^curl_predial/src(?P<cli>\d+)/dst(?P<exten>\d+)/$',
        'curl_predial',
        name='curl_predial'),
    url(r'^curl_answer/src(?P<cli>\d+)/dst(?P<exten>\d+)/$',
        'curl_answer',
        name='curl_answer'),
    url(r'^curl_postdial/src(?P<cli>\d+)/dst(?P<exten>\d+)/$',
        'curl_postdial',
        name='curl_postdial'),
    url(r'^curl_postdial/src/dst/$',
        'curl_ignore'),
    url(r'^curl.*\*+.*/$',
        'curl_ignore'),

    # funzioni accounts
    url(r'^curl_fun_dnd/src(?P<cli>\d+)/dst(?P<exten>\d+)/$',
        'curl_fun_dnd',
        name='curl_fun_dnd'),
    url(r'^curl_fun_voicemail/src(?P<cli>\d+)/dst(?P<exten>\d+)/$',
        'curl_fun_voicemail',
        name='curl_fun_voicemail'),
    url(r'^curl_fun_callwaiting/src(?P<cli>\d+)/dst(?P<exten>\d+)/$',
        'curl_fun_callwaiting',
        name='curl_fun_callwaiting'),
    url(r'^curl_fun_forward/src(?P<cli>\d+)/dst(?P<exten>\d+)/$',
        'curl_fun_forward',
        name='curl_fun_forward'),
                       
    # funzioni centralino
    url(r'^curl_fun_callgroup/src(?P<src>\d+)/dst(?P<exten>\d+)/$',
        'curl_fun_callgroup',
        name='curl_fun_callgroup'),
    url(r'^curl_fun_bookrecall/src(?P<cli>\d+)/dst(?P<exten>\d+)/$',
        'curl_fun_bookrecall',
        name='curl_fun_bookrecall'),
    url(r'^curl_get_bookable/cli(?P<cli>\d+)/$',
        'curl_get_bookable',
        name='curl_get_bookable'),
    url(r'^ajax_fun_kick_meetme_user/(?P<confno>\d+)/(?P<cli>\d+)/$',
        'ajax_fun_kick_meetme_user',
        name='ajax_fun_kick_meetme_user'),
    url(r'^ajax_fun_mute_meetme_user/(?P<confno>\d+)/(?P<cli>\d+)/$',
        'ajax_fun_mute_meetme_user',
        name='ajax_fun_mute_meetme_user'),
    url(r'^ajax_fun_unmute_meetme_user/(?P<confno>\d+)/(?P<cli>\d+)/$',
        'ajax_fun_unmute_meetme_user',
        name='ajax_fun_unmute_meetme_user'),
    
    # getters
    url(r'^curl_get_stato_account/(?P<cli>\d+)/$',
        'curl_get_stato_account',
        name='curl_get_stato_account'),
    url(r'^curl_get_free_meetme_space/(?P<confno>\d+)/$',
        'curl_get_free_meetme_space',
        name='curl_get_free_meetme_space'),
                       
    # setters

    # viste utente
    url(r'^list_meetme_users/$', 'list_meetme_users',
        name='list_meetme_users'),
    url(r'^update_voicemail/(?P<account_id>\d+)/$',
        'update_voicemail',
        name='update_voicemail'),

    url(r'^switch_do_not_disturb/(?P<account_id>\d+)/$',
        'switch_do_not_disturb',
        name='switch_do_not_disturb'),
    url(r'^switch_call_waiting/(?P<account_id>\d+)/$',
        'switch_call_waiting',
        name='switch_call_waiting'),
    url(r'^get_abilitazione_call_waiting/(?P<account_id>\d+)/$',
        'get_abilitazione_call_waiting',
        name='get_abilitazione_call_waiting'),
    url(r'^switch_voicemail/(?P<account_id>\d+)/$',
        'switch_voicemail',
        name='switch_voicemail'),
    url(r'^switch_forward/(?P<account_id>\d+)/$',
        'switch_forward',
        name='switch_forward'),
    url(r'^get_forward_number/(?P<account_id>\d+)/$',
        'get_forward_number',
        name='get_forward_number'),
    url(r'^update_forward/(?P<account_id>\d+)/$',
        'update_forward',
        name='update_forward'),
    url(r'get_callgroups/(?P<account_id>\d+)/$',
        'get_callgroups',
        name='get_callgroups'),
    url(r'get_queues/(?P<account_id>\d+)/$',
        'get_queues',
        name='get_queues'),
    url(r'get_recalls/(?P<account_id>\d+)/$',
        'get_recalls',
        name='get_recalls'),
    url(r'get_conference/(?P<account_id>\d+)/$',
        'get_conference',
        name='get_conference'),
#    url(r'get_utenti_meetme/(?P<room_pk>\d+)/(?P<is_admin>\d+)/$',
#        'get_utenti_meetme',
#        name='get_utenti_meetme'),

    url(r'^click_to_call/(?P<utentepbx_pk>\d+)/(?P<cli>\d+)/$', 'click_to_call',
        name='click_to_call'),
                       
                       


    # OLD
    

#    url(r'^restart/$', 'restart',
#        name='restart_list'),
#    url(r'^restart/(?P<device_id>\d+)/$', 'restart',
#        name='restart_device'),
#
#    url(r'^curl_predial/src(?P<cli>\d+)/dst\*8(?P<exten>\d+)/$', 'curl_predial_picked',
#        name='curl_predial_picked'),
#    url(r'^curl_answer/src(?P<cli>\d+)/dst\*8(?P<exten>\d+)/$', 'curl_answer_picked',
#        name='curl_answer_picked'),
#    url(r'^curl_postdial/src(?P<cli>\d+)/dst\*8(?P<exten>\d+)/$', 'curl_postdial_picked',
#        name='curl_postdial_picked'),
#    url(r'^curl_answer/src/dst(?P<exten>\d+)/PK/$', 'curl_answer_picked',
#        name='curl_answer_pickedpk'),
#    url(r'^curl_postdial/src/dst(?P<exten>\d+)/PK/$', 'curl_postdial_picked',
#        name='curl_postdial_pickedpk'),
#     
#    
#
#
#
#    url(r'^curl_predial/src/dst(?P<exten>\d+)/$', 'curl_predial_nosrc',
#        name='curl_predial_nosrc'),
#    url(r'^curl_answer/src/dst(?P<exten>\d+)/$', 'curl_answer_nosrc',
#        name='curl_answer_nosrc'),
#    url(r'^curl_postdial/src/dst(?P<exten>\d+)/$', 'curl_postdial_nosrc',
#        name='curl_postdial_nosrc'),
#                       
#
#    url(r'^curl_predial/srcUnknown/dst(?P<exten>\d+)/$', 'curl_predial_nosrc',
#        name='curl_predial_nosrcunk'),
#    url(r'^curl_answer/srcUnknown/dst(?P<exten>\d+)/$', 'curl_answer_nosrc',
#        name='curl_answer_nosrcunk'),
#    url(r'^curl_postdial/srcUnknown/dst(?P<exten>\d+)/$', 'curl_postdial_nosrc',
#        name='curl_postdial_nosrcunk'),
#                       
#    url(r'^curl_predial/src0anonymous/dst(?P<exten>\d+)/$', 'curl_predial_nosrc',
#        name='curl_predial_nosrcanon'),
#    url(r'^curl_answer/src0anonymous/dst(?P<exten>\d+)/$', 'curl_answer_nosrc',
#        name='curl_answer_nosrcanon'),
#    url(r'^curl_postdial/src0anonymous/dst(?P<exten>\d+)/$', 'curl_postdial_nosrc',
#        name='curl_postdial_nosrcanon'),
#                       
#    url(r'^curl_predial/srcanonymous/dst(?P<exten>\d+)/$', 'curl_predial_nosrc',
#        name='curl_predial_nosrcnzanon'),
#    url(r'^curl_answer/srcanonymous/dst(?P<exten>\d+)/$', 'curl_answer_nosrc',
#        name='curl_answer_nosrcnzanon'),
#    url(r'^curl_postdial/srcanonymous/dst(?P<exten>\d+)/$', 'curl_postdial_nosrc',
#        name='curl_postdial_nosrcnzanon'),
#                       
#    url(r'^curl_predial/src(?P<cli>\d+)/dst/$', 'curl_predial_nodst',
#        name='curl_predial_nodst'),
#    url(r'^curl_answer/src(?P<cli>\d+)/dst/$', 'curl_answer_nodst',
#        name='curl_answer_nodst'),
#    url(r'^curl_postdial/src(?P<cli>\d+)/dst/$', 'curl_postdial_nodst',
#        name='curl_postdial_nodst'),
#                       
#    url(r'^curl_predial/src(?P<cli>\d+)/dstUnknown/$', 'curl_predial_nodst',
#        name='curl_predial_nodstunk'),
#    url(r'^curl_answer/src(?P<cli>\d+)/dstUnknown/$', 'curl_answer_nodst',
#        name='curl_answer_nodstunk'),
#    url(r'^curl_postdial/src(?P<cli>\d+)/dstUnknown/$', 'curl_postdial_nodst',
#        name='curl_postdial_nodstunk'),
#                       
#    url(r'^curl_forcehangup/(?P<cli>\d+)/$', 'curl_forcehangup',
#        name='curl_forcehangup'),

    

                       
#    url(r'^curl_get_mail_from_int/(?P<int>\d+)/$', 'curl_get_mail_from_int',
#        name='curl_get_mail_from_int'),
#                       
#    url(r'^curl_get_fax_for_account/(?P<int>\d+)/$', 'curl_get_fax_for_account',
#        name='curl_get_fax_for_account'),
#                       
#    url(r'^reset/(?P<cli>\d+)/$', 'reset',
#        name='reset'),
    
#    url(r'^cisco_authentication/$', 'cisco_authentication',
#        name='cisco_authentication'),
#    url(r'^cisco_services/(?P<device_id>\d+)/$', 'cisco_services',
#        name='cisco_services'),
#    url(r'^cisco/services/speeddial/(?P<device_id>\d+)/$', 'cisco_services_speeddial',
#        name='cisco_services_speeddial'),
#                       
#    url(r'^cisco/services/phonebook/(?P<device_id>\d+)/(?P<first_index>\d+)/$', 'cisco_services_phonebook',
#        name='cisco_services_phonebook'),
#    url(r'^cisco/services/phonebooksearch/(?P<device_id>\d+)/$', 'cisco_services_phonebooksearch',
#        name='cisco_services_phonebooksearch'),
#    url(r'^cisco/services/phonebookqs/(?P<device_id>\d+)/$', 'cisco_services_phonebookqs',
#        name='cisco_services_phonebookqs'),
#                       
#    url(r'^cisco/services/callwaiting/(?P<device_id>\d+)/$', 'cisco_services_callwaiting',
#        name='cisco_services_callwaiting'),
#    url(r'^cisco/services/queues/(?P<device_id>\d+)/$', 'cisco_services_queues',
#        name='cisco_services_queues'),
#    url(r'^cisco/services/voicemail/(?P<device_id>\d+)/$', 'cisco_services_voicemail',
#        name='cisco_services_voicemail'),
#    url(r'^cisco/services/blacklist/(?P<device_id>\d+)/$', 'cisco_services_blacklist',
#        name='cisco_services_blacklist'),
#                       
#                       
#                       
#    url(r'^cisco/services/pphonebook/search/$', 'cisco_services_pphonebook_search',
#        name='cisco_services_pphonebook_search'),
#    url(r'^cisco/services/pphonebook/$', 'cisco_services_pphonebook',
#        name='cisco_services_pphonebook'),
#    url(r'^cisco/services/phonebook/search/$', 'cisco_services_phonebook_search',
#        name='cisco_services_phonebook_search'),
#    url(r'^cisco/services/phonebook/$', 'cisco_services_phonebook',
#        name='cisco_services_phonebook'),
#    url(r'^cisco/services/iphonebook/$', 'cisco_services_iphonebook',
#        name='cisco_services_iphonebook'),
#    url(r'^cisco/services/blacklist/$', 'cisco_services_blacklist',
#        name='cisco_services_blacklist'),
#    url(r'^cisco/services/blacklist/add/$', 'cisco_services_blacklist_add',
#        name='cisco_services_blacklist_add'),
#    url(r'^cisco/services/attendant/enable/$', 'cisco_services_attendant_enable',
#        name='cisco_services_attendant_enable'),
#    url(r'^cisco/services/attendant/disable/$', 'cisco_services_attendant_disable',
#        name='cisco_services_attendant_disable'),
#    url(r'^cisco/services/attendant/$', 'cisco_services_attendant',
#        name='cisco_services_attendant'),
#    url(r'^cisco/services/sms/$', 'cisco_services_sms',
#        name='cisco_services_sms'),
#    url(r'^cisco_directory/$', 'cisco_directory',
#        name='cisco_directory'),
#                       
#    url(r'^cisco_push/(?P<function_name>\w+)/$', 'cisco_push',
#        name='cisco_push'),
#    url(r'^cisco_helloworld/$', 'cisco_helloworld',
#        name='cisco_helloworld'),
#    url(r'^cisco_statusfile/$', 'cisco_statusfile',
#        name='cisco_statusfile'),
#    url(r'^cisco_updatestatus_ringing/(?P<account_pk>\d+)/(?P<cli>\d+)/(?P<exten>\d+)/$',
#        'cisco_updatestatus_ringing',
#        name='cisco_updatestatus_ringing'),
#    url(r'^cisco_updatestatus_calling/(?P<account_pk>\d+)/(?P<cli>\d+)/(?P<exten>\d+)/$',
#        'cisco_updatestatus_calling',
#        name='cisco_updatestatus_calling'),
#    url(r'^cisco_updatestatus_hanged/(?P<account_pk>\d+)/(?P<cli>\d+)/(?P<exten>\d+)/$',
#        'cisco_updatestatus_hanged',
#        name='cisco_updatestatus_hanged'),
#
#    url(r'^cisco_updatestatus_ringing/(?P<account_pk>\d+)/(?P<cli>\w+)/(?P<exten>\d+)/$',
#        'cisco_updatestatus_ringing',
#        name='cisco_updatestatus_ringing_nocli'),
#    url(r'^cisco_updatestatus_calling/(?P<account_pk>\d+)/(?P<cli>\w+)/(?P<exten>\d+)/$',
#        'cisco_updatestatus_calling',
#        name='cisco_updatestatus_calling_nocli'),
#    url(r'^cisco_updatestatus_hanged/(?P<account_pk>\d+)/(?P<cli>\w+)/(?P<exten>\d+)/$',
#        'cisco_updatestatus_hanged',
#        name='cisco_updatestatus_hanged_nocli'),
#                       
#    url(r'^cisco_updatestatus_ringing/(?P<account_pk>\d+)/(?P<cli>\d+)/(?P<exten>\w+)/$',
#        'cisco_updatestatus_ringing',
#        name='cisco_updatestatus_ringing_nocli'),
#    url(r'^cisco_updatestatus_calling/(?P<account_pk>\d+)/(?P<cli>\d+)/(?P<exten>\w+)/$',
#        'cisco_updatestatus_calling',
#        name='cisco_updatestatus_calling_nocli'),
#    url(r'^cisco_updatestatus_hanged/(?P<account_pk>\d+)/(?P<cli>\d+)/(?P<exten>\w+)/$',
#        'cisco_updatestatus_hanged',
#        name='cisco_updatestatus_hanged_nocli'),
#                       
#    url(r'^cisco_screen/(?P<account_pk>\d+)/$',
#        'cisco_screen',
#        name='cisco_screen'),
                       
#    url(r'^device/restart_all/$',
#        'restart_all',
#        name='restart_all'),
                       

)
