# -*- coding: utf-8 -*-
import re

from django import forms
#from django.utils.translation import ugettext_lazy as _

from models import PersonalPhonebookEntry


NUM_RE = r'^([0-9]+)$'
num_re = re.compile(NUM_RE)

class SetCallerCookie(forms.Form):
    caller_cli = forms.CharField()
    
class PersonalPhonebookEntryForm(forms.ModelForm):
    class Meta:
        model = PersonalPhonebookEntry
        exclude = ('utentepbx',)
        
    def clean_numero(self):
        data = self.cleaned_data['numero']
        if num_re.match(data):
            return data
        raise forms.ValidationError("Devi inserire un numero valido.")
