from django.conf.urls.defaults import url, patterns

urlpatterns = patterns('pbx.utenti.views',
     
    url(r'^retrieve__utenti_monitorati/(?P<utente_pbx_id>\d+)/$',
        'retrieve__utenti_monitorati',
        name='retrieve__utenti_monitorati'),
                       
    url(r'^retrieve__utenti_monitorati_by_name/(?P<utente_pbx_nome>.+)/$',
        'retrieve__utenti_monitorati_by_name',
        name='retrieve__utenti_monitorati_by_name'),
                       
    url(r'^retrieve__utenti/$', 'retrieve__utenti',
        name='retrieve__utenti'),
    url(r'^retrieve__utenti/reset/$', 'retrieve__utenti_reset',
        name='retrieve__utenti_reset'),
        
    url(r'^create__personalphonebookentry/(?P<utente_pbx_id>\d+)/$',
        'create__personalphonebookentry',
        name='create__personalphonebookentry'),
    url(r'^retrieve__personalphonebook/(?P<utente_pbx_id>\d+)/$',
        'retrieve__personalphonebook',
        name='retrieve__personalphonebook'),
    url(r'^update__personalphonebookentry/(?P<id>\d+)/$',
        'update__personalphonebookentry',
        name='update__personalphonebookentry'),
    url(r'^delete__personalphonebookentry/(?P<id>\d+)/$',
        'delete__personalphonebookentry',
        name='delete__personalphonebookentry'),
                       
    url(r'^create_personalphonebook/$', 'create_personalphonebook',
        name='create_personalphonebook'),
    url(r'^retrieve_personalphonebook/$', 'retrieve_personalphonebook',
        name='retrieve_personalphonebook'),
    url(r'^update_personalphonebook/id(?P<id>\d+)/$', 'update_personalphonebook',
        name='update_personalphonebook'),
    url(r'^delete_personalphonebook/id(?P<id>\d+)/$', 'delete_personalphonebook',
        name='delete_personalphonebook'),
                       
    url(r'^curl_postnoanswer/src(?P<cli>\d+)/dst(?P<exten>\d+)/$',
        'curl_postnoanswer', name='curl_postnoasnwer'),
    url(r'^curl_postnoanswer/src/dst(?P<exten>\d+)/$',
        'curl_postnoanswer_nosrc', name='curl_postnoasnwer_nosrc'),
    url(r'^curl_postnoanswer/srcanonymous/dst(?P<exten>\d+)/$',
        'curl_postnoanswer_nosrc', name='curl_postnoasnwer_srcanon'),
    url(r'^curl_postnoanswer/src(?P<cli>\d+)/dst/$',
        'curl_postnoanswer_nodst', name='curl_postnoasnwer_nodst'),
    url(r'^curl_postnoanswer/src/dst/$',
        'curl_postnoanswer_nosrcdst', name='curl_postnoasnwer_nosrcdst'),                   
    url(r'^curl_enable_cookie/(?P<cli>\d+)/$',
        'curl_enable_cookie', name='curl_enable_cookie'),
    url(r'^curl_get_speedial/(?P<num>\d+)/$',
        'get_speedial', name='pbx_utenti_get_speedial'),

    url(r'^curl_check_blacklist/(?P<cli>\d+)/(?P<verso>[A-Z]+)/$',
        'curl_check_blacklist', name='curl_check_blacklist_verso'),                       
    url(r'^curl_check_blacklist/(?P<cli>\d+)/$',
        'curl_check_blacklist', name='curl_check_blacklist'),
                       
    url(r'^cisco/services/personalphonebook/(?P<device_id>\d+)/(?P<first_index>\d+)/$', 'cisco_services_personalphonebook',
        name='cisco_services_personalphonebook'),
    url(r'^cisco/services/personalphonebooksearch/(?P<device_id>\d+)/$', 'cisco_services_personalphonebooksearch',
        name='cisco_services_personalphonebooksearch'),
    url(r'^cisco/services/personalphonebookqs/(?P<device_id>\d+)/$', 'cisco_services_personalphonebookqs',
        name='cisco_services_personalphonebookqs'),

)

