# -*- coding: utf-8 -*-
'''
Created on 14/feb/2012

@author: simone cittadini
'''
import datetime

from django.http import HttpResponse, HttpResponseRedirect
from django.shortcuts import get_object_or_404, render_to_response
from django.views.decorators.csrf import csrf_exempt
from django.views.generic.list_detail import object_list, object_detail
from django.views.generic.create_update import create_object, update_object, delete_object
from django.views.decorators.csrf import csrf_exempt

from pbx.ivr.models import TimeSlot, NodoIvr, FileNodoInRegistrazione
from django.template.context import RequestContext


def create_timeslot(request):
    pass

def retrieve_timeslot(request):
    pass

def update_timeslot(request, pk):
    pass

def delete_timeslot(request, pk):
    pass

def create_nodoivr(request):
    pass

def retrieve_nodoivr(request):
    # nei link del template ci sarà anche un clicktocall che setta 
    # il filename di nodo in registrazione e chiama un extension con Record
    # il nome del filename record lo sa da una curl fatta prima
    pass

def update_nodoivr(request, pk):
    pass

@csrf_exempt
def update_timeslots(request):
    d = request.POST
    try:
        ts_lun = TimeSlot.objects.get(weekday=1)
        ts_mar = TimeSlot.objects.get(weekday=2)
        ts_mer = TimeSlot.objects.get(weekday=3)
        ts_gio = TimeSlot.objects.get(weekday=4)
        ts_ven = TimeSlot.objects.get(weekday=5)
        ts_sab = TimeSlot.objects.get(weekday=6)
        ts_dom = TimeSlot.objects.get(weekday=7)
        
        if d.has_key('lun_abilitato'):
            ts_lun.attivo = True
        else:
            ts_lun.attivo = False
        h_m = eval(d['lun_dalle_mattina'])
        ts_lun.dalle_mattina = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['lun_alle_mattina'])
        ts_lun.alle_mattina = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['lun_dalle_pomeriggio'])
        ts_lun.dalle_pomeriggio = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['lun_alle_pomeriggio'])
        ts_lun.alle_pomeriggio = datetime.time(h_m[0], h_m[1])
        ts_lun.save()

        if d.has_key('mar_abilitato'):
            ts_mar.attivo = True
        else:
            ts_mar.attivo = False        
        h_m = eval(d['mar_dalle_mattina'])
        ts_mar.dalle_mattina = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['mar_alle_mattina'])
        ts_mar.alle_mattina = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['mar_dalle_pomeriggio'])
        ts_mar.dalle_pomeriggio = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['mar_alle_pomeriggio'])
        ts_mar.alle_pomeriggio = datetime.time(h_m[0], h_m[1])
        ts_mar.save()

        if d.has_key('mer_abilitato'):
            ts_mar.attivo = True
        else:
            ts_mar.attivo = False
        h_m = eval(d['mer_dalle_mattina'])
        ts_mer.dalle_mattina = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['mer_alle_mattina'])
        ts_mer.alle_mattina = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['mer_dalle_pomeriggio'])
        ts_mer.dalle_pomeriggio = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['mer_alle_pomeriggio'])
        ts_mer.alle_pomeriggio = datetime.time(h_m[0], h_m[1])
        ts_mer.save()

        if d.has_key('gio_abilitato'):
            ts_gio.attivo = True
        else:
            ts_gio.attivo = False
        h_m = eval(d['gio_dalle_mattina'])
        ts_gio.dalle_mattina = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['gio_alle_mattina'])
        ts_gio.alle_mattina = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['gio_dalle_pomeriggio'])
        ts_gio.dalle_pomeriggio = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['gio_alle_pomeriggio'])
        ts_gio.alle_pomeriggio = datetime.time(h_m[0], h_m[1])
        ts_gio.save()

        if d.has_key('ven_abilitato'):
            ts_ven.attivo = True
        else:
            ts_ven.attivo = False
        h_m = eval(d['ven_dalle_mattina'])
        ts_ven.dalle_mattina = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['ven_alle_mattina'])
        ts_ven.alle_mattina = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['ven_dalle_pomeriggio'])
        ts_ven.dalle_pomeriggio = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['ven_alle_pomeriggio'])
        ts_ven.alle_pomeriggio = datetime.time(h_m[0], h_m[1])
        ts_ven.save()

        if d.has_key('sab_abilitato'):
            ts_sab.attivo = True
        else:
            ts_sab.attivo = False
        h_m = eval(d['sab_dalle_mattina'])
        ts_sab.dalle_mattina = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['sab_alle_mattina'])
        ts_sab.alle_mattina = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['sab_dalle_pomeriggio'])
        ts_sab.dalle_pomeriggio = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['sab_alle_pomeriggio'])
        ts_sab.alle_pomeriggio = datetime.time(h_m[0], h_m[1])
        ts_sab.save()

        if d.has_key('dom_abilitato'):
            ts_dom.attivo = True
        else:
            ts_dom.attivo = False
        h_m = eval(d['dom_dalle_mattina'])
        ts_dom.dalle_mattina = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['dom_alle_mattina'])
        ts_dom.alle_mattina = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['dom_dalle_pomeriggio'])
        ts_dom.dalle_pomeriggio = datetime.time(h_m[0], h_m[1])
        h_m = eval(d['dom_alle_pomeriggio'])
        ts_dom.alle_pomeriggio = datetime.time(h_m[0], h_m[1])
        ts_dom.save()
        
    except Exception, e:
        return HttpResponse('KO_%s' % str(e))
    return HttpResponse('OK')

@csrf_exempt
def delete_nodo_ivr(request):
    try:
        n = NodoIvr.objects.get(pk=request.POST['pk'])
#        n.delete()
        return HttpResponse('OK')
    except Exception, e:
        return HttpResponse('KO_%s' % str(e))

def curl_record_nodoivr(request):
    # controllo il valore del filename in FileNodoInRegistrazione
    # prendo il nodoivr con quel filename
    # se esiste torno OK_filename
    # altrimenti torno KO
    pass

def curl_get_ivrnodename(request):
    f = FileNodoInRegistrazione.objects.all()[0]
    return HttpResponse(f.filename)

def curl_set_nodoivr(request, pk):
    try:
        n = NodoIvr.objects.get(pk=pk)
        n.tono = request.GET['tono']
        n.extension = request.GET['extension']
        n.save()
        return HttpResponse("OK")
    except Exception, e:
        return HttpResponse("KO_%s" % str(e))

def curl_create_nodoivr(request, pk):
    try:
        radice = NodoIvr.objects.get(pk=pk)
        n, created = NodoIvr.objects.get_or_create(
                                          padre=radice,
                                          tono=request.GET['tono'],
                                          defaults={
                                                'nome' : '%s #%s' % (radice.nome, request.GET['tono']),
                                                'extension' : request.GET['extension']
                                                    })
        if not created:
            n.extension = request.GET['extension']
            n.save()
        return HttpResponse("OK")
    except Exception, e:
        print str(e)
        return HttpResponse("KO_%s" % str(e))
    
def update_orario_ivr(request, pk):
    try:
        t = TimeSlot.objects.get(pk=pk)
        t.inizio = request.GET['dalle']
        t.fine = request.GET['alle']
        t.save()
        return HttpResponse("OK")
    except Exception, e:
        return HttpResponse("KO_%s" % str(e))

def curl_update_nodoivr(request, pk):
    try:
        n = NodoIvr.objects.get(pk=pk)
        return HttpResponse("#%s -> %s" % (n.tono, n.extension))
    except Exception, e:
        return HttpResponse("KO_%s" % str(e))

def curl_set_file_in_registrazione(request, pk):
    try:
        n = NodoIvr.objects.get(pk=pk)
        FileNodoInRegistrazione.objects.all().delete()
        FileNodoInRegistrazione.objects.create(filename=n.filename)
        return HttpResponse("OK")
    except Exception, e:
        return HttpResponse("KO_%s" % str(e))

def curl_get_radiceivr(request):
    try:
        # questo codice parte dall'assunto che si stia usando l'attuale GUI
        # con ivr a un solo livello e timetable con orari di apertura giorno
        # per giorno, per strutture più complesse andrà riscritto
        
        # controllo se sono in pausa -> nodo 'pausa'
        # controllo se siamo in giorno di chiusura straordinario -> nodo di quel giorno
        # cerco il timeslot per il weekday
        # se non è attivo o sono fuori dagli intervalli ore -> nodo 'default'
        # altrimenti -> nodo 'lavorativi'
        
        t = TimeSlot.objects.get(weekday=datetime.date.today().weekday()+1)
        d = datetime.time(datetime.datetime.now().hour,
                          datetime.datetime.now().minute)
        if t.inizio < d and t.fine > d:
            return HttpResponse(t.radice.curl_string)
        return HttpResponse(TimeSlot.objects.get(weekday=0).radice.curl_string)
    except Exception, e:
        return HttpResponse("KO_%s" % str(e))
    
def curl_get_nodoivr(request, padre, tono):
    try:
        if padre == '0':
            padre = None
        n = NodoIvr.objects.get(padre__pk=padre, tono=tono)
        return HttpResponse(n.curl_string)
    except Exception, e:
        return HttpResponse("KO_%s" % str(e))

@csrf_exempt
def load_chiusure_extra(request, *args, **kwargs):
    nome = request.POST['nome']
    try:
        dal_m, dal_g, dal_a = request.POST['dal'].split('/')
        print dal_m
        al_m, al_g, al_a = request.POST['al'].split('/')
        dal = datetime.date(int(dal_a), int(dal_m), int(dal_g))
        al = datetime.date(int(al_a), int(al_m), int(al_g))
        interno = request.POST['interno']
    
        if TimeSlot.objects.filter(dal_day__gte=dal, al_day__lte=al).count() > 0:
            t = TimeSlot.objects.filter(dal_day__gte=al, al_day__lte=al)[0] # dovrebbe essercene solo uno
        else:
            radice = NodoIvr.objects.create(nome=nome,
                                            padre=None,
                                            extension=interno)
            t = TimeSlot.objects.create(dal_day=dal,
                                        al_day=al,
                                        weekday=0,
                                        dalle_mattina=datetime.time(0,0),
                                        alle_mattina=datetime.time(0,0),
                                        dalle_pomeriggio=datetime.time(0,0),
                                        alle_pomeriggio=datetime.time(0,0),
                                        radice=radice)
        timeslot_chiusure_extra = TimeSlot.objects.exclude(dal_day__exact=None)
    except Exception, e:
        print str(e)
    return render_to_response('admin_tools/pbx/ivr/snippets/table_chiusure_extra.html',
                              locals(),
                              RequestContext(request))
