# -*- coding: utf-8 -*-
'''
Created on 27/gen/2012

@author: simone cittadini
'''
from django.conf.urls.defaults import url, patterns


urlpatterns = patterns('pbx.switch.cisco.views',

    url(r'^cisco_authentication/$', 'cisco_authentication',
        name='cisco_authentication'),
    url(r'^cisco_services/(?P<device_id>\d+)/$', 'cisco_services',
        name='cisco_services'),
    url(r'^cisco/services/speeddial/(?P<device_id>\d+)/$', 'cisco_services_speeddial',
        name='cisco_services_speeddial'),
                       
    url(r'^cisco/services/phonebook/(?P<device_id>\d+)/(?P<first_index>\d+)/$', 'cisco_services_phonebook',
        name='cisco_services_phonebook'),
    url(r'^cisco/services/phonebooksearch/(?P<device_id>\d+)/$', 'cisco_services_phonebooksearch',
        name='cisco_services_phonebooksearch'),
    url(r'^cisco/services/phonebookqs/(?P<device_id>\d+)/$', 'cisco_services_phonebookqs',
        name='cisco_services_phonebookqs'),
                       
    url(r'^cisco/services/callwaiting/(?P<device_id>\d+)/$', 'cisco_services_callwaiting',
        name='cisco_services_callwaiting'),
    url(r'^cisco/services/queues/(?P<device_id>\d+)/$', 'cisco_services_queues',
        name='cisco_services_queues'),
    url(r'^cisco/services/voicemail/(?P<device_id>\d+)/$', 'cisco_services_voicemail',
        name='cisco_services_voicemail'),
    url(r'^cisco/services/blacklist/(?P<device_id>\d+)/$', 'cisco_services_blacklist',
        name='cisco_services_blacklist'),
                       
                       
                       
    url(r'^cisco/services/pphonebook/search/$', 'cisco_services_pphonebook_search',
        name='cisco_services_pphonebook_search'),
    url(r'^cisco/services/pphonebook/$', 'cisco_services_pphonebook',
        name='cisco_services_pphonebook'),
    url(r'^cisco/services/phonebook/search/$', 'cisco_services_phonebook_search',
        name='cisco_services_phonebook_search'),
    url(r'^cisco/services/phonebook/$', 'cisco_services_phonebook',
        name='cisco_services_phonebook'),
    url(r'^cisco/services/iphonebook/$', 'cisco_services_iphonebook',
        name='cisco_services_iphonebook'),
    url(r'^cisco/services/blacklist/$', 'cisco_services_blacklist',
        name='cisco_services_blacklist'),
    url(r'^cisco/services/blacklist/add/$', 'cisco_services_blacklist_add',
        name='cisco_services_blacklist_add'),
    url(r'^cisco/services/attendant/enable/$', 'cisco_services_attendant_enable',
        name='cisco_services_attendant_enable'),
    url(r'^cisco/services/attendant/disable/$', 'cisco_services_attendant_disable',
        name='cisco_services_attendant_disable'),
    url(r'^cisco/services/attendant/$', 'cisco_services_attendant',
        name='cisco_services_attendant'),
    url(r'^cisco/services/sms/$', 'cisco_services_sms',
        name='cisco_services_sms'),
    url(r'^cisco_directory/$', 'cisco_directory',
        name='cisco_directory'),
                       
    url(r'^cisco_push/(?P<function_name>\w+)/$', 'cisco_push',
        name='cisco_push'),
    url(r'^cisco_helloworld/$', 'cisco_helloworld',
        name='cisco_helloworld'),
    url(r'^cisco_statusfile/$', 'cisco_statusfile',
        name='cisco_statusfile'),
    url(r'^cisco_updatestatus_ringing/(?P<account_pk>\d+)/(?P<cli>\d+)/(?P<exten>\d+)/$',
        'cisco_updatestatus_ringing',
        name='cisco_updatestatus_ringing'),
    url(r'^cisco_updatestatus_calling/(?P<account_pk>\d+)/(?P<cli>\d+)/(?P<exten>\d+)/$',
        'cisco_updatestatus_calling',
        name='cisco_updatestatus_calling'),
    url(r'^cisco_updatestatus_hanged/(?P<account_pk>\d+)/(?P<cli>\d+)/(?P<exten>\d+)/$',
        'cisco_updatestatus_hanged',
        name='cisco_updatestatus_hanged'),

    url(r'^cisco_updatestatus_ringing/(?P<account_pk>\d+)/(?P<cli>\w+)/(?P<exten>\d+)/$',
        'cisco_updatestatus_ringing',
        name='cisco_updatestatus_ringing_nocli'),
    url(r'^cisco_updatestatus_calling/(?P<account_pk>\d+)/(?P<cli>\w+)/(?P<exten>\d+)/$',
        'cisco_updatestatus_calling',
        name='cisco_updatestatus_calling_nocli'),
    url(r'^cisco_updatestatus_hanged/(?P<account_pk>\d+)/(?P<cli>\w+)/(?P<exten>\d+)/$',
        'cisco_updatestatus_hanged',
        name='cisco_updatestatus_hanged_nocli'),
                       
    url(r'^cisco_updatestatus_ringing/(?P<account_pk>\d+)/(?P<cli>\d+)/(?P<exten>\w+)/$',
        'cisco_updatestatus_ringing',
        name='cisco_updatestatus_ringing_nocli'),
    url(r'^cisco_updatestatus_calling/(?P<account_pk>\d+)/(?P<cli>\d+)/(?P<exten>\w+)/$',
        'cisco_updatestatus_calling',
        name='cisco_updatestatus_calling_nocli'),
    url(r'^cisco_updatestatus_hanged/(?P<account_pk>\d+)/(?P<cli>\d+)/(?P<exten>\w+)/$',
        'cisco_updatestatus_hanged',
        name='cisco_updatestatus_hanged_nocli'),
                       
    url(r'^cisco_screen/(?P<account_pk>\d+)/$',
        'cisco_screen',
        name='cisco_screen'),

)