# -*- coding: utf-8 -*-
'''
Created on 28/gen/2012

@author: simone cittadini
'''
import os, sys
import re
import httplib, urllib
import shlex
import subprocess
import time
import base64
import threading


from lxml import etree
from django.db import models
from django.db.models.query import QuerySet
from django.utils.translation import ugettext_lazy as _
from django.forms import fields
from django.contrib.contenttypes.models import ContentType

from django.template.loader import render_to_string
from jumbo.utils.functions import get_settings

from pbx.views import psse
from pbx.utenti.models import UtentePBX
from pbx.switch.models import Account, Device, SERVERURL, SERVERIP

class DeviceDummy(Device):
    def __unicode__(self):
        return self.nome

    def save(self, *args, **kwargs):
        psse("%s.save:" % self)
        super(DeviceDummy, self).save(*args, **kwargs)
        self.create_provision_file()
    
    def create_provision_file(self):
        psse("%s.create_provision_file:" % self)
        
    def action_predial_caller(self, called, *args, **kwargs):
        psse('%s.action_predial_caller: dummy' % self)
        
    def action_predial_called(self, caller, *args, **kwargs):
        psse('%s.action_predial_called: dummy' % self)
            
    def action_predial_monitoring(self, account, *args, **kwargs):
        psse('%s.action_predial_monitoring: dummy' % self)
            
    def action_predial_monitored(self, account, *args, **kwargs):
        psse('%s.action_predial_monitored: dummy' % self)

    def action_answer_caller(self, called, *args, **kwargs):
        psse('%s.action_answer_caller: dummy' % self)
        
    def action_answer_called(self, caller, *args, **kwargs):
        psse('%s.action_answer_called: dummy' % self)
        
    def action_answer_monitoring(self, account, *args, **kwargs):
        psse('%s.action_answer_monitoring: dummy' % self)
            
    def action_answer_monitored(self, account, *args, **kwargs):
        psse('%s.action_answer_monitored: dummy' % self)
        
    def action_postdial_caller(self, called, *args, **kwargs):
        psse('%s.action_postdial_caller: dummy' % self)

    def action_postdial_called(self, caller, *args, **kwargs):
        psse('%s.action_postdial_called: dummy' % self)
        
    def action_postdial_monitoring(self, account, *args, **kwargs):
        psse('%s.action_postdial_monitoring: dummy' % self)
            
    def action_postdial_monitored(self, account, *args, **kwargs):
        psse('%s.action_postdial_monitored: dummy' % self)
