# -*- coding: utf-8 -*-
'''
Created on 31/gen/2012

@author: simone cittadini
'''
from django.contrib.auth.models import User
from django import forms
from django.utils.translation import ugettext_lazy as _
from django.forms.extras import widgets

from pbx.switch.models import VoiceMail

YESNO= (('yes', 'sì'), ('no', 'no'))

attrs_dict = {'class': 'required'} 
class MeetmeRoomForm(forms.Form):
    confno = forms.CharField()
    pin = forms.CharField(widget=forms.PasswordInput(attrs=attrs_dict,
                                                     render_value=False))
    
class VoiceMailForm(forms.ModelForm):
    class Meta:
        model = VoiceMail
        fields = ('password', 'attach', 'maxmsg', 'sendvoicemail')
    sendvoicemail = forms.CharField(widget=widgets.Select(choices=YESNO))